# lt~obsolete.m4 -- aclocal satisfying obsolete definitions.    -*-Autoconf-*-
#
# Copyright (C) 2004 Free Software Foundation, Inc.
# Written by Scott James Remnant.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# As a special exception to the GNU General Public License, if you
# distribute this file as part of a program that contains a
# configuration script generated by Autoconf, you may include it under
# the same distribution terms that you use for the rest of that program.

# serial 1

# These exist entirely to fool aclocal when bootstrapping libtool.
#
# In the past libtool.m4 has provided macros via AC_DEFUN (or AU_DEFUN)
# which have later been changed to m4_define as they aren't part of the
# exported API, or moved to Autoconf or Automake where they belong.
#
# The trouble is, aclocal is a bit thick.  It'll see the old AC_DEFUN
# in /usr/share/aclocal/libtool.m4 and remember it, then when it sees us
# using a macro with the same name in our local m4/libtool.m4 it'll
# pull the old libtool.m4 in (it doesn't see our shiny new m4_define
# and doesn't know about Autoconf macros at all.)
#
# So we provide this file, which has a silly filename so it's always
# included after everything else.  This provides aclocal with the
# AU_DEFUNs it wants, but when m4 processes it, it doesn't do anything
# because those macros already exist.
#
# Anytime we withdraw an AC_DEFUN or AU_DEFUN, but still refer to it,
# remember to add it here.

m4_ifdef([AC_LIBTOOL_LINKER_OPTION],,	[AU_DEFUN([AC_LIBTOOL_LINKER_OPTION])])
m4_ifdef([AC_PROG_EGREP],,		[AU_DEFUN([AC_PROG_EGREP])])
m4_ifdef([_LT_AC_PROG_ECHO_BACKSLASH],,	[AU_DEFUN([_LT_AC_PROG_ECHO_BACKSLASH])])
m4_ifdef([_LT_AC_SHELL_INIT],,		[AU_DEFUN([_LT_AC_SHELL_INIT])])
m4_ifdef([_LT_AC_SYS_LIBPATH_AIX],,	[AU_DEFUN([_LT_AC_SYS_LIBPATH_AIX])])
m4_ifdef([_LT_PROG_LTMAIN],,		[AU_DEFUN([_LT_PROG_LTMAIN])])
m4_ifdef([_LT_AC_TAGVAR],,		[AU_DEFUN([_LT_AC_TAGVAR])])
m4_ifdef([AC_LTDL_ENABLE_INSTALL],,	[AU_DEFUN([AC_LTDL_ENABLE_INSTALL])])
m4_ifdef([AC_LTDL_PREOPEN],,		[AU_DEFUN([AC_LTDL_PREOPEN])])
m4_ifdef([_LT_AC_SYS_COMPILER],,	[AU_DEFUN([_LT_AC_SYS_COMPILER])])
m4_ifdef([_LT_AC_LOCK],,		[AU_DEFUN([_LT_AC_LOCK])])
m4_ifdef([AC_LIBTOOL_SYS_OLD_ARCHIVE],,	[AU_DEFUN([AC_LIBTOOL_SYS_OLD_ARCHIVE])])
m4_ifdef([_LT_AC_TRY_DLOPEN_SELF],,	[AU_DEFUN([_LT_AC_TRY_DLOPEN_SELF])])
m4_ifdef([AC_LIBTOOL_PROG_CC_C_O],,	[AU_DEFUN([AC_LIBTOOL_PROG_CC_C_O])])
m4_ifdef([AC_LIBTOOL_SYS_HARD_LINK_LOCKS],, [AU_DEFUN([AC_LIBTOOL_SYS_HARD_LINK_LOCKS])])
m4_ifdef([AC_LIBTOOL_OBJDIR],,		[AU_DEFUN([AC_LIBTOOL_OBJDIR])])
m4_ifdef([AC_LTDL_OBJDIR],,		[AU_DEFUN([AC_LTDL_OBJDIR])])
m4_ifdef([AC_LIBTOOL_PROG_LD_HARDCODE_LIBPATH],, [AU_DEFUN([AC_LIBTOOL_PROG_LD_HARDCODE_LIBPATH])])
m4_ifdef([AC_LIBTOOL_SYS_LIB_STRIP],,	[AU_DEFUN([AC_LIBTOOL_SYS_LIB_STRIP])])
m4_ifdef([AC_PATH_MAGIC],,		[AU_DEFUN([AC_PATH_MAGIC])])
m4_ifdef([AC_PROG_LD_GNU],,		[AU_DEFUN([AC_PROG_LD_GNU])])
m4_ifdef([AC_PROG_LD_RELOAD_FLAG],,	[AU_DEFUN([AC_PROG_LD_RELOAD_FLAG])])
m4_ifdef([AC_DEPLIBS_CHECK_METHOD],,	[AU_DEFUN([AC_DEPLIBS_CHECK_METHOD])])
m4_ifdef([AC_LIBTOOL_PROG_COMPILER_NO_RTTI],, [AU_DEFUN([AC_LIBTOOL_PROG_COMPILER_NO_RTTI])])
m4_ifdef([AC_LIBTOOL_SYS_GLOBAL_SYMBOL_PIPE],, [AU_DEFUN([AC_LIBTOOL_SYS_GLOBAL_SYMBOL_PIPE])])
m4_ifdef([AC_LIBTOOL_PROG_COMPILER_PIC],, [AU_DEFUN([AC_LIBTOOL_PROG_COMPILER_PIC])])
m4_ifdef([AC_LIBTOOL_PROG_LD_SHLIBS],,	[AU_DEFUN([AC_LIBTOOL_PROG_LD_SHLIBS])])
m4_ifdef([AC_LIBTOOL_POSTDEP_PREDEP],,	[AU_DEFUN([AC_LIBTOOL_POSTDEP_PREDEP])])
m4_ifdef([LT_AC_PROG_EGREP],,		[AU_DEFUN([LT_AC_PROG_EGREP])])
m4_ifdef([LT_AC_PROG_SED],,		[AU_DEFUN([LT_AC_PROG_SED])])
